Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
pygaze._time.basetime.BaseTime Class Reference
Inheritance diagram for pygaze._time.basetime.BaseTime:

## Public Member Functions
| __init__ (self)
| expstart (self)
| get_time (self)
| pause (self)
| expend (self)

## Detailed Description

    Class for keeping track of time

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._time.basetime.BaseTime.__init__ | ( |  | self | ) |

            Initializes a Time instance

            arguments

            None

            keyword arguments

            None

## Member Function Documentation

## ◆ expend()

pygaze._time.basetime.BaseTime.expend | ( |  | self | ) |

            Completely ends the experiment (only call this at the end!)

            arguments

            None

            keyword arguments

            None

            returns

            endtime --  ending time of the experiment (in milliseconds since
                        expbegintime

Reimplemented in pygaze._time.ostime.OSTime, pygaze._time.psychopytime.PsychoPyTime, and pygaze._time.pygametime.PyGameTime.

## ◆ expstart()

pygaze._time.basetime.BaseTime.expstart | ( |  | self | ) |

            Time is set to 0 when calling this

            arguments

            None

            keyword arguments

            None

            returns

            Nothing

Reimplemented in pygaze._time.ostime.OSTime, pygaze._time.psychopytime.PsychoPyTime, and pygaze._time.pygametime.PyGameTime.

## ◆ get_time()

pygaze._time.basetime.BaseTime.get_time | ( |  | self | ) |

            Returns current time in milliseconds

            arguments

            None

            keyword arguments

            None

            returns

            time        --  current time in milliseconds, as measured since
                        expbegintime

Reimplemented in pygaze._time.ostime.OSTime, pygaze._time.psychopytime.PsychoPyTime, and pygaze._time.pygametime.PyGameTime.

## ◆ pause()

pygaze._time.basetime.BaseTime.pause | ( |  | self | ) |

            Pauses the experiment for given number of milliseconds

            arguments

            pausetime   --  time to pause in milliseconds

            keyword arguments

            None

            returns

            pausetime   --  actual time the system paused (in milliseconds)

Reimplemented in pygaze._time.ostime.OSTime, pygaze._time.psychopytime.PsychoPyTime, and pygaze._time.pygametime.PyGameTime.

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_time/basetime.py